@import url("https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
    --base-color: #ffffff;
    --primary-color: #fe800d;
    --primary-color-dark: #db6f35;
    --secondary-color: #013267;
    --text-dark: #333333;
    --text-light: #767268;
    --text-white: #ffffff;
    --white-bg: #ffffff;
    --text-color: #333333;
    --text-color-header-btn: #ffffff;
    --text-copyright: #767268;
    --max-width: 1300px;
    --header-font: "Bebas Neue", sans-serif;
}

::-webkit-scrollbar {
    display: none;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

img {
    display: flex;
    width: 90%;
}

a {
    text-decoration: none;
    transition: 0.3s;
}

body {
    font-family: "Poppins", sans-serif;
    scrollbar-color: transparent transparent;
    background-color: var(--base-color);
    scrollbar-width: none;
    -ms-overflow-style: none;
}

nav {
    position: fixed;
    isolation: isolate;
    width: 100%;
    z-index: 9;
}

.nav__header {
    padding: 1rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--primary-color);
}

.nav__logo a {
    font-size: 1.75rem;
    font-weight: 400;
    font-family: var(--header-font);
    color: var(--white-text);
}

.nav__logo img {
    height: 35px;
    width: auto;
    content: url('/assets/logo/logo-dark.png');
}

.nav__menu__btn {
    font-size: 1.5rem;
    color: var(--white-bg);
    cursor: pointer;
}

.nav__links {
    position: absolute;
    top: 64px;
    left: 0;
    width: 100%;
    padding: 2rem;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 2rem;
    color: var(--text-white);
    background-color: var(--primary-color);
    transition: 0.5s;
    z-index: -1;
    transform: translateY(-100%);
}

.nav__links.open {
    transform: translateY(0);
}

.nav__links a {
    font-weight: 500;
    color: var(--white);
}

.nav__btns {
    display: none;
}

.header__container {
    max-width: var(--max-width);
    margin: auto;
    padding-block: 8rem 2rem;
    padding-inline: 1rem;
    display: grid;
    gap: 2rem;
    overflow-x: hidden;
}

.header__image {
    position: relative;
    isolation: isolate;
}

.header__image::before {
    position: absolute;
    content: "";
    width: 90%;
    max-width: 550px;
    aspect-ratio: 1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-image: url("/assets/landing/header-bg.png");
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    border-radius: 100%;
    opacity: 0.7;
    z-index: -1;
}

.header__image img {
    max-width: 420px;
    margin-inline: auto;
}

.header__image__card {
    position: absolute;
    padding: 0.75rem 1rem;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 0.9rem;
    font-weight: 500;
    color: var(--text-dark);
    background-color: var(--white-bg);
    white-space: nowrap;
    border-radius: 5px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.header__image__card span {
    font-size: 1rem;
    font-weight: 600;
    color: var(--primary-color);
}

.header__image__card-1 {
    top: 25%;
    left: 4rem;
    transform: translate(-50%, -50%);
}

.header__image__card-2 {
    top: 15%;
    right: 4rem;
    transform: translateY(-50%);
}

.header__image__card-3 {
    top: 60%;
    left: 1rem;
    transform: translateY(-50%);
}

.header__image__card-4 {
    top: 40%;
    right: 0rem;
    transform: translateY(-50%);
}

.header__image__card-5 {
    top: 70%;
    right: 4rem;
    transform: translateY(-50%);
}

.header__content h1 {
    margin-bottom: 1rem;
    font-size: 4.8rem;
    font-weight: 400;
    font-family: var(--header-font);
    color: var(--text-color);
    line-height: 5.5rem;
    text-align: center;
}

.header__content h1 span {
    color: var(--primary-color);
}

.header__content h1 span.secondary {
    color: var(--secondary-color);
}

.header__content p {
    margin-bottom: 2rem;
    columns: var(--text-light);
    color: var(--text-color);
    font-weight: 500;
    line-height: 1.75rem;
    text-align: justify;
}

.header__content form {
    margin-bottom: 2rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    gap: 1rem 0;
    border-radius: calc(1rem + 10px);
    background-color: transparent;
}

.header__content .input__row {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 1rem;
    flex: 1;
}

.header__content .input__group {
    flex: 1;
}

.header__content .input__group h5 {
    margin-bottom: 5px;
    font-size: 1rem;
    font-weight: 500;
    color: var(--text-light);
}

.header__content .input__group > div {
    display: flex;
    align-items: center;
    gap: 10px;
}

.header__content input {
    width: 100%;
    outline: none;
    border: none;
    font-size: 1rem;
    background-color: transparent;
}

.header__content input::placeholder {
    font-weight: 600;
    color: var(--text-color);
}

.header__content .input__group span {
    font-size: 1.1rem;
    font-weight: 600;
    color: var(--secondary-color);
}

.header__content button {
    width: 100%;
    padding: 1rem 2rem;
    outline: none;
    border: 2.5px solid var(--secondary-color);
    font-size: 1.2rem;
    font-weight: 600;
    white-space: nowrap;
    color: var(--secondary-color);
    background-color: transparent;
    border-radius: 10px;
    transition: 0.3s;
    cursor: pointer;
}

.header__content button:hover {
    background-color: var(--secondary-color);
    color: var(--text-color-header-btn);
    border-color: var(--secondary-color);
}

.header__content .bar {
    font-size: 0.9rem;
    color: var(--text-copyright);
    text-align: center;
}

@media (width > 768px) {
    nav {
        position: static;
        padding-block: 2rem 0;
        padding-inline: 1rem;
        max-width: var(--max-width);
        margin-inline: auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 2rem;
    }

    .nav__header {
        flex: 1;
        padding: 0;
        background-color: transparent;
    }

    .nav__logo a {
        color: var(--text-dark);
    }

    .nav__logo a span {
        color: var(--primary-color);
    }

    .nav__menu__btn {
        display: none;
    }

    .nav__links {
        position: static;
        padding: 0;
        flex-direction: row;
        background-color: transparent;
        transform: none;
    }

    .nav__links .sign__in {
        display: none;
    }

    .nav__links a {
        padding-block: 5px;
        color: var(--text-color);
        border-bottom: 4px solid transparent;
    }

    .nav__links a:hover {
        border-color: var(--primary-color);
    }

    .nav__btns {
        display: flex;
        flex: 1;
    }

    .nav__btns .btn {
        padding: 0.75rem 1.5rem;
        outline: none;
        border: none;
        font-size: 1rem;
        white-space: nowrap;
        border-radius: 10px;
        transition: 0.3s;
        cursor: pointer;
    }

    .sign__up {
        color: var(--text-color);
        background-color: transparent;
    }

    .sign__up:hover {
        color: var(--secondary-color);
    }

    .sign__in {
        color: var(--text-white);
        background-color: var(--primary-color);
    }

    .sign__in:hover {
        background-color: var(--primary-color-dark);
    }

    .header__container {
        padding-block: 2rem;
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }

    .header__image {
        grid-area: 1/2/2/3;
    }

    .header__content :is(h1, p, .bar) {
        text-align: left;
    }
}

@media (max-width: 768px) {
    .header__image__card {
        display: none !important;
    }

    .header__content h1 {
        font-size: 2.5rem;
        line-height: 4rem;
        text-align: left;
        padding-inline: 1.5rem;
    }

    .header__content p {
        font-size: 1rem;
        line-height: 1.5rem;
        text-align: justify;
        text-align-last: left;
        word-break: break-word;
        hyphens: auto;
        padding-inline: 1.5rem;
    }

    .mobile-hide {
        display: none !important;
    }

    .nav__logo img {
        content: url("/assets/logo/logo-white.png");
    }

    .nav__links.open .sign__in {
        width: 100%;
        text-align: center;
        padding: 0.8rem 3rem;
        font-weight: 500;
        text-decoration: none;
        border-radius: 10px;
        background-color: var(--secondary-color);
        color: var(--white);
        cursor: pointer;
        transition: none;
    }

    .header__image::before {
        display: none;
    }
}

@media (width > 1024px) {
    .header__content form {
        flex-direction: row;
    }

    .header__content button {
        width: fit-content;
    }
}
